b=0
c=0
x=0
a=0
n=0
n = int(input())
a = int(input())
for i in range(n):
   a = ['1' ,'2', '3' ,'4']
for j in a:
    x=j[i] +x
if a > b+c:
    print(a)
elif a<b+c:
    print(b+c)



a = ['1' ,'2', '3' ,'4']
for i in a:
    print(i)